Get portfolio overview
curl --request GET \
--url https://api.useblueprints.ai/api/portfolio \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useblueprints.ai/api/portfolio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.useblueprints.ai/api/portfolio"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"runningBlueprints": 123,
"openPositions": 123,
"pendingOrders": 123,
"totalPnl": 123
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}Trading and account
Get portfolio overview
Read account-level portfolio summary data.
GET
/
api
/
portfolio
Get portfolio overview
curl --request GET \
--url https://api.useblueprints.ai/api/portfolio \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useblueprints.ai/api/portfolio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.useblueprints.ai/api/portfolio"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"runningBlueprints": 123,
"openPositions": 123,
"pendingOrders": 123,
"totalPnl": 123
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}Use this endpoint to show an account summary across running blueprints, open positions, pending orders, and aggregate PnL.
curl https://api.useblueprints.ai/api/portfolio \
-H "Authorization: Bearer bp_YOUR_API_KEY"